aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAstroFloyd <AstroFloyd@gmail.com>2018-04-30 09:17:38 +0200
committerAstroFloyd <AstroFloyd@gmail.com>2018-04-30 09:17:38 +0200
commitc2406880a352ada0a5ec4f02ad211d2e41ed76fc (patch)
tree24f2314d10d6ce7460da3a7700e38585094c3b62
parentdev-lang/ifc: Preserve old versions (diff)
downloadAstroFloyd-c2406880a352ada0a5ec4f02ad211d2e41ed76fc.tar.gz
AstroFloyd-c2406880a352ada0a5ec4f02ad211d2e41ed76fc.tar.bz2
AstroFloyd-c2406880a352ada0a5ec4f02ad211d2e41ed76fc.zip
dev-lang/icc: preserve old versions
Package-Manager: Portage-2.3.24, Repoman-2.3.6
-rw-r--r--dev-lang/icc/ChangeLog7
-rw-r--r--dev-lang/icc/Manifest10
-rw-r--r--dev-lang/icc/icc-13.1.5.192.ebuild33
-rw-r--r--dev-lang/icc/icc-14.0.3.174.ebuild34
-rw-r--r--dev-lang/icc/icc-15.0.6.233.ebuild34
-rw-r--r--dev-lang/icc/metadata.xml16
6 files changed, 134 insertions, 0 deletions
diff --git a/dev-lang/icc/ChangeLog b/dev-lang/icc/ChangeLog
new file mode 100644
index 0000000..8330c1e
--- /dev/null
+++ b/dev-lang/icc/ChangeLog
@@ -0,0 +1,7 @@
+*icc-13.1.5.192 (30 Apr 2018)
+*icc-14.0.3.174 (30 Apr 2018)
+*icc-15.0.6.233 (30 Apr 2018)
+
+ 30 Apr 2018; AstroFloyd <AstroFloyd@gmail.com> +icc-13.1.5.192.ebuild,
+ +icc-14.0.3.174.ebuild, +icc-15.0.6.233.ebuild, +metadata.xml:
+ dev-lang/icc: preserve old versions
diff --git a/dev-lang/icc/Manifest b/dev-lang/icc/Manifest
new file mode 100644
index 0000000..74b70f7
--- /dev/null
+++ b/dev-lang/icc/Manifest
@@ -0,0 +1,10 @@
+DIST parallel_studio_xe_2013_sp1_update3.tgz 3448198789 BLAKE2B 551711101488890ff2c14d43674b11c2cd996ee3bd94e70e75554d68fb8d4ea45f9d1149b402a2c0b3a15d022de2f610cdb77286d6e9f645186f4aae2cb5dd3c SHA512 6308a812c3eb2bd4549b756aa16fdeeb9337131e56bd203876a6763298c776858629a6d17148cdd5275f6781471e826a00a0181b72abcdd7d991196eb4798025
+DIST parallel_studio_xe_2013_update4.tgz 2184817121 BLAKE2B abf16e9ae201c481c4813317bcc68d6343b39ce2049902c01688a3b166e300c797c6b9452bb268d4acdd670f309682b11fb4ccaff6cd34ca8235b3a15761dc56 SHA512 84ea227fdca2c427996b0c4d17a0bad6c289a6fbfc267c19f54ebee875e11e6e8d14bb3103599e3b89331c34a153b0a63a5ca8c12f4619420f78f8c4b0c2da96
+DIST parallel_studio_xe_2013_update4_ia32.tgz 1220177902 BLAKE2B 77ead5362528639cf6336ec1d70e4116461a562ebcbb170d14a4324519eddae3742b764b3cf0cf8ad8656ec7565c4634e5b09a224c1bfc90281b320c4b00bbf3 SHA512 968db307e08cd31450200abd41ade1f2b2855f4b5cb19911d03c1cd357cab11cbba814db354452496fcf66fc3fad1423b24f428bd4db07402f12bd63e4d34247
+DIST parallel_studio_xe_2013_update4_intel64.tgz 1520767493 BLAKE2B 33de5550d6fed069fc64fc0e6a3528bccb9b13c4f9b31f113fc100fe374d386216b572632371d9dd01f5cacceec85ed3ca724260c76c19aeea7da39b627d04d2 SHA512 497ad8f3473e1d11cdd31dff340a8e6ec1f012e731def084b2072146b5d11db906f85ace53b2223c3fbef949222f73f36783fd697eb7809464f4403c0ac8744a
+DIST parallel_studio_xe_2015_update6.tgz 4190044333 BLAKE2B b038cda914b4c736259b84d2958a16a718fc75fe1663b4a835f4011fadb553a28f5c231d6f0a2744fc3eec257b390b021b0af709d69a5d10845cf9d63d1aa320 SHA512 a9896289db8e820f02c330702ff1e954af11af5f9bbc0e5623a001b3a8c33a2bcb8660ac8b0e569994a3682bfd263bf119dbe6a43fb343139adbeaaaa13f8a81
+EBUILD icc-13.1.5.192.ebuild 813 BLAKE2B c0d2c97b70dd65963bebec7067514f4f803bcb3a21fc6da7a19e4344ac2833bb6980ed65ddab37a9f4afd721f6a6d222c060c5271ade259b9ec24ee5ccc8af95 SHA512 f618cd0bde870871dbd6d4de7f078de2b6d4aeece88d2f92acd4a00ffe6ff0c06786500fd3b2ead35a373a7bc6ad5ed67179230289c88df70919a2057c9e2995
+EBUILD icc-14.0.3.174.ebuild 841 BLAKE2B 9066de90344479503f6a8d9b36f48cc3df25becf54e86af51e2e17416e1a5f4dd76b92e33d286fe54c326f40069198d5976eeba370a478af530b6f499a5ce054 SHA512 b12e581a33608aba46dba2f9423d2dda1fd3f42b74825fc594b2b5859bcd2eed25b2820c254305f62ce2803688bc19fafc0970b4431261b1f3f4faef5f5f7947
+EBUILD icc-15.0.6.233.ebuild 855 BLAKE2B d9258ba5e096499f33700b6c529639a3cfdf8389fc2f590f8f0ad186ddba01ac2d32a1312dfc807d97e41803e899aa53303a3e0bec2de00da9cb7fa2061479cd SHA512 676b2bccdc87ef3bbc8be7992f4da6a8eef90e06f05f1a65329e7c5974ab857afa23bc5337d3060593bef4e432739be784e0c0c282e3c23a7e986c76eeae5416
+MISC ChangeLog 267 BLAKE2B 44e64a513a16cf10ff27ee7e9eefeaf22d107d8cecef56fe4339671a9122b34406655fe483dc80cacc1796a6da4124ec33d208bdac906a38b076926b5f51f900 SHA512 4142a02ecad1b55826faf09cd3aa558666f58d4f2144e1edc8b7be50dfa3f2674ee0819b914dd8fed83a37e023d6b90afe9bd0e0802c11838f5caa25f166621c
+MISC metadata.xml 727 BLAKE2B 4cfd8b27958969fe8cdb987c81e698dab526b9f3994c24f94587dc6e1fc9133d596eb904eb1819374aa39974193e0b5072501db11d3de9086516c6a8e213b7ed SHA512 0c10f059eb58b9042a4e9d4d5d4c4ff92289cadb41cac59aef21d369cbfef9bc872a74a73f089b10417c9a59aac2d2fd9e8bc8f83e70a8d7168db55b1b085b33
diff --git a/dev-lang/icc/icc-13.1.5.192.ebuild b/dev-lang/icc/icc-13.1.5.192.ebuild
new file mode 100644
index 0000000..1d92c21
--- /dev/null
+++ b/dev-lang/icc/icc-13.1.5.192.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+INTEL_DPN=parallel_studio_xe
+INTEL_DID=3266
+INTEL_DPV=2013_update4
+INTEL_SUBDIR=composerxe
+
+inherit intel-sdp
+
+DESCRIPTION="Intel C/C++ Compiler"
+HOMEPAGE="http://software.intel.com/en-us/articles/intel-composer-xe/"
+
+IUSE="l10n_ja"
+KEYWORDS="-* ~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+# avoid file collision with ifc #476330
+RDEPEND="l10n_ja? ( !dev-lang/ifc[l10n_ja(-)] !dev-lang/ifc[linguas_ja(-)] )
+ ~dev-libs/intel-common-${PV}[compiler,multilib=]"
+
+INTEL_BIN_RPMS="compilerproc compilerproc-devel"
+INTEL_DAT_RPMS="compilerproc-common"
+
+CHECKREQS_DISK_BUILD=325M
+
+src_install() {
+ if ! use l10n_ja; then
+ find "${S}" -type d -name ja_JP -exec rm -rf '{}' + || die
+ fi
+ intel-sdp_src_install
+}
diff --git a/dev-lang/icc/icc-14.0.3.174.ebuild b/dev-lang/icc/icc-14.0.3.174.ebuild
new file mode 100644
index 0000000..3947fc7
--- /dev/null
+++ b/dev-lang/icc/icc-14.0.3.174.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+INTEL_DPN=parallel_studio_xe
+INTEL_DID=4220
+INTEL_DPV=2013_sp1_update3
+INTEL_SUBDIR=composerxe
+INTEL_SINGLE_ARCH=false
+
+inherit intel-sdp
+
+DESCRIPTION="Intel C/C++ Compiler"
+HOMEPAGE="http://software.intel.com/en-us/articles/intel-composer-xe/"
+
+IUSE="l10n_ja"
+KEYWORDS="-* ~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+# avoid file collision with ifc #476330
+RDEPEND="l10n_ja? ( !dev-lang/ifc[l10n_ja(-)] !dev-lang/ifc[linguas_ja(-)] )
+ ~dev-libs/intel-common-${PV}[compiler,multilib=]"
+
+INTEL_BIN_RPMS="compilerproc compilerproc-devel"
+INTEL_DAT_RPMS="compilerproc-common"
+
+CHECKREQS_DISK_BUILD=325M
+
+src_install() {
+ if ! use l10n_ja; then
+ find "${S}" -type d -name ja_JP -exec rm -rf '{}' + || die
+ fi
+ intel-sdp_src_install
+}
diff --git a/dev-lang/icc/icc-15.0.6.233.ebuild b/dev-lang/icc/icc-15.0.6.233.ebuild
new file mode 100644
index 0000000..781b103
--- /dev/null
+++ b/dev-lang/icc/icc-15.0.6.233.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+INTEL_DPN=parallel_studio_xe
+INTEL_DID=8470
+INTEL_DPV=2015_update6
+INTEL_SUBDIR=composerxe
+INTEL_SINGLE_ARCH=false
+
+inherit intel-sdp
+
+DESCRIPTION="Intel C/C++ Compiler"
+HOMEPAGE="http://software.intel.com/en-us/articles/intel-composer-xe/"
+
+IUSE="l10n_ja"
+KEYWORDS="-* ~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+# avoid file collision with ifc #476330
+RDEPEND="l10n_ja? ( !dev-lang/ifc[l10n_ja(-)] !dev-lang/ifc[linguas_ja(-)] )
+ ~dev-libs/intel-common-${PV}[compiler,multilib=]"
+
+INTEL_BIN_RPMS="compilerproc compilerproc-devel"
+INTEL_DAT_RPMS="compilerproc-common compilerproc-vars"
+
+CHECKREQS_DISK_BUILD=325M
+
+src_install() {
+ if ! use l10n_ja; then
+ find "${S}" -type d -name ja_JP -exec rm -rf '{}' + || die
+ fi
+ intel-sdp_src_install
+}
diff --git a/dev-lang/icc/metadata.xml b/dev-lang/icc/metadata.xml
new file mode 100644
index 0000000..4a2545b
--- /dev/null
+++ b/dev-lang/icc/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <longdescription lang="en">
+ The IntelĀ® C++ Compiler is a full featured C/C++ compiler for Intel
+ based architectures. The compiler supports multi-threading, automatic
+ processor dispatch, vectorization, auto-parallelization, OpenMP, data
+ prefetching, loop unrolling. The package comes with extensive
+ documentation. The product can be installed as a non-commercial as
+ well. License, terms of qualifications can be found on the web site.
+</longdescription>
+</pkgmetadata>